### Hierarchy

- Partial

### Callable

- __call<R>(func: Function0<R>): Function0<R>
- __call<T1, R>(func: Function1<T1, R>): Function1<T1, R>
- __call<T1, R>(func: Function1<T1, R>, arg1: T1): Function0<R>
- __call<T1, T2, R>(func: Function2<T1, T2, R>): Function2<T1, T2, R>
- __call<T1, T2, R>(func: Function2<T1, T2, R>, arg1: T1): Function1<T2, R>
- __call<T1, T2, R>(func: Function2<T1, T2, R>, plc1: __, arg2: T2): Function1<T1, R>
- __call<T1, T2, R>(func: Function2<T1, T2, R>, arg1: T1, arg2: T2): Function0<R>
- __call<T1, T2, T3, R>(func: Function3<T1, T2, T3, R>): Function3<T1, T2, T3, R>
- __call<T1, T2, T3, R>(func: Function3<T1, T2, T3, R>, arg1: T1): Function2<T2, T3, R>
- __call<T1, T2, T3, R>(func: Function3<T1, T2, T3, R>, plc1: __, arg2: T2): Function2<T1, T3, R>
- __call<T1, T2, T3, R>(func: Function3<T1, T2, T3, R>, arg1: T1, arg2: T2): Function1<T3, R>
- __call<T1, T2, T3, R>(func: Function3<T1, T2, T3, R>, plc1: __, plc2: __, arg3: T3): Function2<T1, T2, R>
- __call<T1, T2, T3, R>(func: Function3<T1, T2, T3, R>, arg1: T1, plc2: __, arg3: T3): Function1<T2, R>
- __call<T1, T2, T3, R>(func: Function3<T1, T2, T3, R>, plc1: __, arg2: T2, arg3: T3): Function1<T1, R>
- __call<T1, T2, T3, R>(func: Function3<T1, T2, T3, R>, arg1: T1, arg2: T2, arg3: T3): Function0<R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>): Function4<T1, T2, T3, T4, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg1: T1): Function3<T2, T3, T4, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, plc1: __, arg2: T2): Function3<T1, T3, T4, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg1: T1, arg2: T2): Function2<T3, T4, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, plc1: __, plc2: __, arg3: T3): Function3<T1, T2, T4, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg1: T1, plc2: __, arg3: T3): Function2<T2, T4, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, plc1: __, arg2: T2, arg3: T3): Function2<T1, T4, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg1: T1, arg2: T2, arg3: T3): Function1<T4, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, plc1: __, plc2: __, plc3: __, arg4: T4): Function3<T1, T2, T3, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg1: T1, plc2: __, plc3: __, arg4: T4): Function2<T2, T3, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, plc1: __, arg2: T2, plc3: __, arg4: T4): Function2<T1, T3, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg1: T1, arg2: T2, plc3: __, arg4: T4): Function1<T3, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, plc1: __, plc2: __, arg3: T3, arg4: T4): Function2<T1, T2, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg1: T1, plc2: __, arg3: T3, arg4: T4): Function1<T2, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, plc1: __, arg2: T2, arg3: T3, arg4: T4): Function1<T1, R>
- __call<T1, T2, T3, T4, R>(func: Function4<T1, T2, T3, T4, R>, arg1: T1, arg2: T2, arg3: T3, arg4: T4): Function0<R>
- __call(func: function, ...args: any[]): function

- - Defined in node_modules/@types/lodash/common/function.d.ts:957

  #### Type parameters

  - #### R

  #### Parameters

  - ##### func: Function0<R>

  #### Returns Function0<R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:959

  #### Type parameters

  - #### T1

  - #### R

  #### Parameters

  - ##### func: Function1<T1, R>

  #### Returns Function1<T1, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:961

  #### Type parameters

  - #### T1

  - #### R

  #### Parameters

  - ##### func: Function1<T1, R>

  - ##### arg1: T1

  #### Returns Function0<R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:962

  #### Type parameters

  - #### T1

  - #### T2

  - #### R

  #### Parameters

  - ##### func: Function2<T1, T2, R>

  #### Returns Function2<T1, T2, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:964

  #### Type parameters

  - #### T1

  - #### T2

  - #### R

  #### Parameters

  - ##### func: Function2<T1, T2, R>

  - ##### arg1: T1

  #### Returns Function1<T2, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:965

  #### Type parameters

  - #### T1

  - #### T2

  - #### R

  #### Parameters

  - ##### func: Function2<T1, T2, R>

  - ##### plc1: __

  - ##### arg2: T2

  #### Returns Function1<T1, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:966

  #### Type parameters

  - #### T1

  - #### T2

  - #### R

  #### Parameters

  - ##### func: Function2<T1, T2, R>

  - ##### arg1: T1

  - ##### arg2: T2

  #### Returns Function0<R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:967

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### func: Function3<T1, T2, T3, R>

  #### Returns Function3<T1, T2, T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:969

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### func: Function3<T1, T2, T3, R>

  - ##### arg1: T1

  #### Returns Function2<T2, T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:970

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### func: Function3<T1, T2, T3, R>

  - ##### plc1: __

  - ##### arg2: T2

  #### Returns Function2<T1, T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:971

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### func: Function3<T1, T2, T3, R>

  - ##### arg1: T1

  - ##### arg2: T2

  #### Returns Function1<T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:972

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### func: Function3<T1, T2, T3, R>

  - ##### plc1: __

  - ##### plc2: __

  - ##### arg3: T3

  #### Returns Function2<T1, T2, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:973

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### func: Function3<T1, T2, T3, R>

  - ##### arg1: T1

  - ##### plc2: __

  - ##### arg3: T3

  #### Returns Function1<T2, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:974

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### func: Function3<T1, T2, T3, R>

  - ##### plc1: __

  - ##### arg2: T2

  - ##### arg3: T3

  #### Returns Function1<T1, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:975

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### func: Function3<T1, T2, T3, R>

  - ##### arg1: T1

  - ##### arg2: T2

  - ##### arg3: T3

  #### Returns Function0<R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:976

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  #### Returns Function4<T1, T2, T3, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:978

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg1: T1

  #### Returns Function3<T2, T3, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:979

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### plc1: __

  - ##### arg2: T2

  #### Returns Function3<T1, T3, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:980

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg1: T1

  - ##### arg2: T2

  #### Returns Function2<T3, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:981

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### plc1: __

  - ##### plc2: __

  - ##### arg3: T3

  #### Returns Function3<T1, T2, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:982

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg1: T1

  - ##### plc2: __

  - ##### arg3: T3

  #### Returns Function2<T2, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:983

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### plc1: __

  - ##### arg2: T2

  - ##### arg3: T3

  #### Returns Function2<T1, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:984

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg1: T1

  - ##### arg2: T2

  - ##### arg3: T3

  #### Returns Function1<T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:985

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### plc1: __

  - ##### plc2: __

  - ##### plc3: __

  - ##### arg4: T4

  #### Returns Function3<T1, T2, T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:986

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg1: T1

  - ##### plc2: __

  - ##### plc3: __

  - ##### arg4: T4

  #### Returns Function2<T2, T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:987

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### plc1: __

  - ##### arg2: T2

  - ##### plc3: __

  - ##### arg4: T4

  #### Returns Function2<T1, T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:988

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg1: T1

  - ##### arg2: T2

  - ##### plc3: __

  - ##### arg4: T4

  #### Returns Function1<T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:989

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### plc1: __

  - ##### plc2: __

  - ##### arg3: T3

  - ##### arg4: T4

  #### Returns Function2<T1, T2, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:990

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg1: T1

  - ##### plc2: __

  - ##### arg3: T3

  - ##### arg4: T4

  #### Returns Function1<T2, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:991

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### plc1: __

  - ##### arg2: T2

  - ##### arg3: T3

  - ##### arg4: T4

  #### Returns Function1<T1, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:992

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: Function4<T1, T2, T3, T4, R>

  - ##### arg1: T1

  - ##### arg2: T2

  - ##### arg3: T3

  - ##### arg4: T4

  #### Returns Function0<R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:993

  #### Parameters

  - ##### func: function

    - - (...args: any[]): any

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns any

  - ##### Rest ...args: any[]

  #### Returns function

  - - (...args: any[]): any

    - #### Parameters

      - ##### Rest ...args: any[]

      #### Returns any

## Index

### Properties

- placeholder

## Properties

### placeholder

placeholder: __

- Defined in node_modules/@types/lodash/common/function.d.ts:997

Generated using TypeDoc